LibreOffice: LayerWriter Service Reference

LibreOffice LibreOffice 5.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Exported Interfaces | List of all members
LayerWriter Service Referencepublished

can be used to parse a stream of configuration layer XML. More...

`import"LayerWriter.idl";`

Inheritance diagram for LayerWriter:

## Exported Interfaces
interface | com::sun::star::configuration::backend::XLayerHandler
| accepts events describing the layer data. More...
interface | com::sun::star::io::XActiveDataSource
| provides access to the target stream. More...
interface | com::sun::star::lang::XInitialization
| allows initializing target stream. More...

## Additional Inherited Members
Public Member Functions inherited from XLayerHandler
void | startLayer () raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that a layer description is started for a component. More...
void | endLayer () raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that a layer description is complete. More...
void | overrideNode ([in] string aName, [in] short aAttributes, [in] boolean bClear) raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that a description of a node override is started. More...
void | addOrReplaceNode ([in] string aName, [in] short aAttributes) raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that a new item is started. More...
void | addOrReplaceNodeFromTemplate ([in] string aName, [in] TemplateIdentifier aTemplate, [in] short aAttributes) raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that a new item based on a particular template is started. More...
void | endNode () raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that a node description is complete. More...
void | dropNode ([in] string aName) raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that a node is dropped from a set. More...
void | overrideProperty ([in] string aName, [in] short aAttributes, [in] type aType, [in] boolean bClear) raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that an existing property is modified. More...
void | setPropertyValue ([in] any aValue) raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that the value of the current property is overridden. More...
void | setPropertyValueForLocale ([in] any aValue, [in] string aLocale) raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that the value of the current localized property is overridden for a specific locale . More...
void | endProperty () raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that a property description is complete. More...
void | addProperty ([in] string aName, [in] short aAttributes, [in] type aType) raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that a property having a `VOID` value is added to the current node. More...
void | addPropertyWithValue ([in] string aName, [in] short aAttributes, [in] any aValue) raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that a property having a non-`VOID` value is added to the current node. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XActiveDataSource
void | setOutputStream ([in] com::sun::star::io::XOutputStream aStream)
| plugs the output stream. More...
com::sun::star::io::XOutputStream | getOutputStream ()
Public Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object. More...

## Detailed Description

can be used to parse a stream of configuration layer XML.

The configuration layer data described to a com::sun::star::configuration::backend::XLayerHandler is written to a stream as OOR Update XML.

See also
  com::sun::star::configuration::backend::xml::LayerParser Service that parses configuration layer XML.

Since
  OOo 1.1.2

## Exported Interfaces

interface com::sun::star::configuration::backend::XLayerHandler

accepts events describing the layer data.

interface com::sun::star::io::XActiveDataSource

provides access to the target stream.

interface com::sun::star::lang::XInitialization

allows initializing target stream.

The target can be passed as a com::sun::star::io::XOutputStream.

The documentation for this service was generated from the following file:

- com/sun/star/configuration/backend/xml/LayerWriter.idl